Index: cpp/frams/model/similarity/simil_model.cpp
===================================================================
--- cpp/frams/model/similarity/simil_model.cpp	(revision 605)
+++ cpp/frams/model/similarity/simil_model.cpp	(revision 606)
@@ -946,77 +946,77 @@
 {
 
-    // sprawdz zalozenie - o modelach
-    assert((m_Mod[0] != NULL) && (m_Mod[1] != NULL));
-    assert(m_Mod[0]->isValid() && m_Mod[1]->isValid());
-
-    // sprawdz zalozenie - o tablicach
-    assert(m_aDegrees[0] != NULL);
-    assert(m_aDegrees[1] != NULL);
-    // sprawdz zalozenie - o tablicach
-    assert(m_fuzzyNeighb[0] != NULL);
-    assert(m_fuzzyNeighb[1] != NULL);
-
-
-    TDN * m_aDegreesTmp[2];
-
-    for (int i = 0; i < 2; i++)
-    {
-        int partCount = m_Mod[i]->getPartCount();
-        m_aDegreesTmp[i] = new TDN[ partCount ];
-
-        for (int j = 0; j < partCount; j++)
-        {
-            for (int k = 0; k < TDN_SIZE; k++)
-            {
-                m_aDegreesTmp[i][j][k] = m_aDegrees[i][j][k];
-            }
-        }
-    }
-
-    int newInd = 0;
-    for (int i = 0; i < 2; i++)
-    {
-        int partCount = m_Mod[i]->getPartCount();
-        for (int j = 0; j < partCount; j++)
-        {
-            newInd = (int) m_fuzzyNeighb[i][j][0];
-            for (int k = 0; k < TDN_SIZE; k++)
-            {
-                m_aDegrees[i][j][k] = m_aDegreesTmp[i][newInd][k];
-            }
-        }
-    }
-
-    SAFEDELETEARRAY(m_aDegreesTmp[0]);
-    SAFEDELETEARRAY(m_aDegreesTmp[1]);
-
-    CheckFuzzyIdentity();
-
-    return 1;
+	// sprawdz zalozenie - o modelach
+	assert((m_Mod[0] != NULL) && (m_Mod[1] != NULL));
+	assert(m_Mod[0]->isValid() && m_Mod[1]->isValid());
+
+	// sprawdz zalozenie - o tablicach
+	assert(m_aDegrees[0] != NULL);
+	assert(m_aDegrees[1] != NULL);
+	// sprawdz zalozenie - o tablicach
+	assert(m_fuzzyNeighb[0] != NULL);
+	assert(m_fuzzyNeighb[1] != NULL);
+
+
+	TDN * m_aDegreesTmp[2];
+
+	for (int i = 0; i < 2; i++)
+	{
+		int partCount = m_Mod[i]->getPartCount();
+		m_aDegreesTmp[i] = new TDN[partCount];
+
+		for (int j = 0; j < partCount; j++)
+		{
+			for (int k = 0; k < TDN_SIZE; k++)
+			{
+				m_aDegreesTmp[i][j][k] = m_aDegrees[i][j][k];
+			}
+		}
+	}
+
+	int newInd = 0;
+	for (int i = 0; i < 2; i++)
+	{
+		int partCount = m_Mod[i]->getPartCount();
+		for (int j = 0; j < partCount; j++)
+		{
+			newInd = (int)m_fuzzyNeighb[i][j][0];
+			for (int k = 0; k < TDN_SIZE; k++)
+			{
+				m_aDegrees[i][j][k] = m_aDegreesTmp[i][newInd][k];
+			}
+		}
+	}
+
+	SAFEDELETEARRAY(m_aDegreesTmp[0]);
+	SAFEDELETEARRAY(m_aDegreesTmp[1]);
+
+	CheckFuzzyIdentity();
+
+	return 1;
 }
 
 /** Checks if given Parts have identical physical and biological properties
-    (except for geometry that might differ).
-    @param P1 Pointer to first Part.
-    @param P2 Pointer to second Part.
-    @return 1 - identical properties, 0 - there are differences.
- */
+	(except for geometry that might differ).
+	@param P1 Pointer to first Part.
+	@param P2 Pointer to second Part.
+	@return 1 - identical properties, 0 - there are differences.
+	*/
 int ModelSimil::CheckPartsIdentity(Part *P1, Part *P2)
 {
-    // sprawdz, czy te Parts chociaz sa w sensownym miejscu pamieci
-    assert((P1 != NULL) && (P2 != NULL));
-
-    if ((P1->assim != P2->assim) ||
-            (P1->friction != P2->friction) ||
-            (P1->ingest != P2->ingest) ||
-            (P1->mass != P2->mass) ||
-            (P1->size != P2->size) ||
-            (P1->density != P2->density))
-        // gdy znaleziono jakas roznice w parametrach fizycznych i
-        // biologicznych
-        return 0;
-    else
-        // gdy nie ma roznic
-        return 1;
+	// sprawdz, czy te Parts chociaz sa w sensownym miejscu pamieci
+	assert((P1 != NULL) && (P2 != NULL));
+
+	if ((P1->assim != P2->assim) ||
+		(P1->friction != P2->friction) ||
+		(P1->ingest != P2->ingest) ||
+		(P1->mass != P2->mass) ||
+		(P1->size != P2->size) ||
+		(P1->density != P2->density))
+		// gdy znaleziono jakas roznice w parametrach fizycznych i
+		// biologicznych
+		return 0;
+	else
+		// gdy nie ma roznic
+		return 1;
 }
 
